
Jupiter - Błąd #1857
rozwijanie drzewa
2017-10-27 14:01 - Łukasz Waśkiewicz

Status: Zamknięty Start date: 2017-10-27
Priority: Normalny Due date:
Assignee: Michał Komar % Done: 100%
Category: ui Estimated time: 0.00 hour
Target version: 0.3
Developer: Michał Komar Rewizja zgłoszenia GIT:e7a1393
Tester: Łukasz Waśkiewicz Rewizja rozwiązania GIT:83ce8753c46ec646ac17900f764760a1e8e8da45
Występuje w wersji: 0.3 Rewizja testów GIT: 6bb31fd
Waga błędu: Mała
Description

wejść w artykuł
kliknąć odśwież na czasopiśmie tego artykułu (1 na screen)
kliknąć przycisk rozwinięcia rocznika (2 na screen)

otrzymujemy jak na screenie

History
#1 - 2017-10-30 09:14 - Michał Komar
- Target version set to 0.3

#2 - 2017-11-06 14:58 - Michał Komar
- Assignee changed from Michał Komar to Jarosław Bąbel

#3 - 2017-11-24 08:22 - Jarosław Bąbel
- Status changed from Nowy to Odpowiedź
- Assignee changed from Jarosław Bąbel to Michał Komar
- Tester Jarosław Bąbel added

Nie znalazłem rozwiązania.

Błąd pojawia się w ogólnym scenariuszu nawigacji po drzewie:

    1. Rozwiń węzeł R (BazEkon)
    2. Rozwiń dziecko R -> A1 (BazEkon -> Acta Innovations)
    3. Rozwiń wybrane dzieci

A1 -> B1 (Acta Innovations -> 2014)
A1 -> B2 (Acta Innovations -> 2012)

    4. Odśwież R (BazEkon)
    5. Rozwiń R -> A1 (Acta Innovations)

Węzły B1 (2014) i B2 (2012) mają napis "Wczytywanie danych..."

Poniżej opis podobnego problemu:

https://github.com/500tech/angular-tree-component/issues/330
https://github.com/500tech/angular-tree-component/issues/330


Podbicie wersji angular-tree do najnowszej nie rozwiązuje problemu.

Próbowałem dobrać się do "dzieci węzła" w okolicach getAsyncChildren() i refreshInternal(). Próbowałem też treeModel.update() i innej konfiguracji
ChangeDetectionStrategy.OnPush lub detekcji zmian w innych miejscach. Próbowałem też w kodzie komponentu dopatrzeć się jak aktywowany jest
loadingTemplate.

#4 - 2017-11-30 09:23 - Michał Komar
- Status changed from Odpowiedź to Rozwiązany
- Assignee changed from Michał Komar to Łukasz Waśkiewicz
- % Done changed from 0 to 100
- Rewizja rozwiązania GIT set to 83ce8753c46ec646ac17900f764760a1e8e8da45
- Tester deleted (Jarosław Bąbel)

Poprawiłem w ramach zadania #1865

#5 - 2017-12-01 10:42 - Łukasz Waśkiewicz
- Status changed from Rozwiązany to Zamknięty
- Assignee changed from Łukasz Waśkiewicz to Michał Komar
- Rewizja testów GIT set to 6bb31fd

Files
drzewo.png 22.5 KB 2017-10-27 Łukasz Waśkiewicz
